#!/bin/sh
# test script for testing ifhp.conf

# variables:
# ifhp - location of the ifhp file to use
#   - if you are testing an INSTALLED version, set this
#     to the location of ifhp
# ifhp=@FILTER_DIR@/ifhp  # installed
# ifhp=./ifhp             # current directory
#
# out - output is sent here
#   this can be a file or a network connection, i.e. -
#    port 9100 on most jetdirect or other boxes.  It can even
#    be a bidirectional printer port.
# out=10.0.0.14%9100      # network printer connection
# out=/tmp/out            # output to a file
#
# config - configuration file
#    this can be blank to use the @IFHP_CONF@ file 
#    or you can specify a test configuration file. 
#    Note that you can set the test file up with
#
#      include /path.to.default.ifhp.conf
#      [ testentry ]
#      ....
# 
# debug  - set debug level and options
# debug=0 or 1  or 2 or 3 or 4 ... you get the idea
#             0 is NO debugging, 4 is extremely verboese
# debug="1 database"  # note the SPACE separator and quotes
# debug="1 database+2"
#       The database flag controls debug traceing of reading
#       the ifhp.conf database.  VERY verbose, and gets REALLY
#       verbose.  I kinda went overboard here...
# 
# file -  input file              
#       I usually use the UTILS/one.ps or UTILS/one.pcl file
#       or do 'echo hi >/tmp/hi' for a test file.
# model - set the model information
#   yeah yeah, I know... but you have to have
# model=ps
# model=hp5si
#
# options - you set the options you want to add here
# options=info=variables
# options="duplex,a4"    # you must have commas and quotes here
#

### configure information 
prefix=@prefix@
exec_prefix=@exec_prefix@
sysconfdir=@sysconfdir@
mandir=@mandir@
libexecdir=@libexecdir@
FILTER_DIR=@FILTER_DIR@

### options here ####
ifhp=@FILTER_DIR@/ifhp
ifhp=./ifhp
out=10.0.0.14%9100
out=/tmp/out
debug=0  # no debugging
debug="1 database"  # example of database
debug=1 # simple debugging
config=@IFHP_CONF@
file=/tmp/hi
file=@FILTER_DIR@/UTILS/one.ps
file=@FILTER_DIR@/UTILS/one.pcl
options=""
#model=ps
model=
if [ -f "$out" ] ; then cp /dev/null $out ; fi
$ifhp "-Tdev=$out,trace,config=$config,debug=$debug,model=$model,$options" <$file 2>&1 | tee /tmp/log
